LFR-FSW - Task #960

Installation GCOV
08/03/2017 10:50 AM - Veronique bouzid

Status: Closed Start date: 08/03/2017
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Il faut installer | outil GCOV avant de lancer les tests de non-regression.
Les informations laissées par Paul sont
https://hephaistos.lpp.polytechnique.fr/redmine/projects/Ifr-fsw/wikiiHOWTO_GCOV_for LFR

History

#1 - 08/03/2017 10:51 AM - Veronique bouzid

- Description updated

#2 - 14/03/2017 08:43 AM - Veronique bouzid

Lire également sur le wiki les pages suivantes
https://hephaistos.lpp.polytechnique.fr/redmine/projects/Ifr-fsw/wiki

1- HOWTO configure sparc-rtems-gc
https://hephaistos.lpp.polytechnique.fr/redmine/projects/Ifr-fsw/wikiHOWTQO_configure_sparc-rtems-gcc
2- HOWTO recompile RTEMS sources
https://hephaistos.lpp.polytechnigue.fr/redmine/projects/Ifr-fsw/wiki/HOWTO_recompile RTEMS_sources

J ai donc récupéré sur le site de gaisler
- la doc

- les sources

- le compilo

Sur rhodecode, le code de Paul. ATTENTION A BIEN PRENDRE LA DERNIERE VERSION.
Ensuite installation dans gtcreator et utilisation des cmake écritspar Alexis.

Liste des paquets installés ( il nous faut les librairies 32 bits pour que sparc-rtems fonctionne)
dnf install glibc.i686 --> + mise & jour eventuelle de la version x86_64

dnf install zlib-devel-1.2.8-9.c23.i686

dnf install autoconf

dnf install automake

dnf install gmp.i686

dnf install mpfr.i686

dnf install cmake

dnf install cmake-gui

dans /opt

Installation de sparc-rtems-4.10-gcc

bunzip2 -c sparc-rtems-4.10-gcc-4.4.6-1.2.20b-linux.tar.bz2 | tar xf -
changer les droits du répertoire

chown -R validation:validation rtems-4.10/

Mettre a jour le PATH (/opt/rtems-4.10/bin)
Installer les sources

cd /opt/rtems-4.10/src
tar -jxf rtems-4.10-1.2.20b-src.tar.bz2

#3 - 20/09/2018 02:36 PM - Alexis Jeandet

- Status changed from New to Closed

Maintenant tout est intégré dans les sources du FSW, il suffit d'activer la couverture avec CMake a la compilation du FSW, deux scripts sont fournis
pour capturer le flux sortant de I'UART de LFR et pour générer les fichiers gcda.
